//
// Tail program:
// prints last k lines of input text file
// 

object Tail {

  def handleLine(line: String) {
    println(line)
  }

  def printTail(fname: String, k: Int) {
    val fd = scala.io.Source.fromFile(fname)
    for (line <- fd.getLines())
      handleLine(line)
    fd.close()
  }

  def main(args: Array[String]) {
    if (args.length != 2) {
      println("Usage: scala Tail <filename> <k>")
      println("Prints out the list k lines of the text file <filename>.")
      return
    }
    try {
      val fname = args(0)
      val k = args(1).toInt
      printTail(fname, k)
    } catch {
      case e: NumberFormatException =>
	println("Please provide a number for k")
      case e: java.io.FileNotFoundException =>
	println("File not found")
    }
  }
}
